Subject: [PATCH v2] input/imx_keypad: add PM support

From: [email-masked] (Alberto Panizzo)
Date: Fri, 18 Jun 2010 19:40:04 +0200

On ven, 2010-06-18 at 16:37 +0200, Eric B?nard wrote:
> Hi Alberto,
> 
> Le 18/06/2010 12:16, Alberto Panizzo a ?crit :
> > Ok, so with this patch the keypad cannot wake the system?
> > It is scheduled another patch?
> >
> well, actually, the keypad wakes the system, at least on my board here.
> 
> I was quite surprised to get this working this way as I would have 
> expected disable_irq + clk_disable would prevent the keypad from being a 
> wake source.
> Can you try on your board as this cleanup may be wrong on i.MX3 ?
> 
> Thanks,
> Eric
Well.. it is a surprise to me too. I have to look down the documentation
ad soon I will try on the mx31pdk.
I don't wont to tell you wrong things.

-- 
Alberto!

        Be Persistent!
                - Greg Kroah-Hartman (FOSDEM 2010)